Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	GRUB - the Grand Unified Boot Loader.
Name:      	grub
Version:   	0.97
Release:   	3
Provides:	grub
License: 	GNU/GPL
URL:		http://www.gnu.org/software/%{name}/
Group:     	System/Base
Source0: 	grub-%{version}.tar.gz
Source1:	bootsplash.xpm.gz
# sync to more recent cvs to keep the auto* magic
Patch0:		grub-synccvs.patch
Patch1: 	grub-0.90-append.patch
Patch2: 	grub-0.95-graphics.patch
Patch3: 	grub-0.91-splashimagehelp.patch
Patch4: 	grub-0.93-graphics-bootterm.patch
# let grub discover the disc geometry by itself
# as kernel 2.6 doesn`t do that anymore
Patch5: 	grub-0.94-geometry-26kernel.patch
Patch6: 	grub-0.93-endedit.patch
# force grub-install to sync discs
Patch7: 	grub-0.94-addsyncs.patch
# Add support for Inode size of 256k, needed by ext4
# and newer ext3 partitions
# patch taken from http://patches.ubuntu.com/g/grub/extracted/ext3_256byte_inode.diff
Patch8:		ext3_256byte_inode.diff
# add support for gpt partitions on intelmacs or other EFI based computers
Patch9:		gpt.diff
# fix keyboard on intel macs	
Patch10:	intelmac.diff
# don't show any booting messages on quiet boots 
# makes bootprocess look nicer before splashy kicks in
Patch11:	quiet.diff
# extend possible devicename-spaces for AOE in grub-install
Patch12:	grub-install_aoe_support.diff
Patch13:	grub-install_regexp.diff
# fix freeze usage when installing bootstages on XFS
Patch14:	xfs_freeze.diff
# fixes usage on systems with large memory > 2 GB
Patch15:	2gb_limit.diff
# use memory detection similiar to syslinux to prevent
# boot problems on some systems
Patch16:	grub-0.95-mem_lower.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot

%description
GRUB (Grand Unified Boot Loader) is an experimental boot loader
capable of booting into most free operating systems - Linux, FreeBSD,
NetBSD, GNU Mach, and others as well as most commercial operating
systems.

#%post
#if [ "$1" = 1 ]; then
#  install-info --info-dir=%{_infodir} %{_infodir}/grub.info.bz2
#  install-info --info-dir=%{_infodir} %{_infodir}/multiboot.info.bz2
#fi

#%preun
#if [ "$1" = 0 ] ;then
#  install-info --delete --info-dir=%{_infodir} %{_infodir}/grub.info.bz2
#  install-info --delete --info-dir=%{_infodir} %{_infodir}/multiboot.info.bz2
#fi


%prep
%setup -n grub-%{version}
#%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p0

%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1

%build
# grub has major issues with -03 and -Os
export CFLAGS="-O2 -march=i686 -pipe -fomit-frame-pointer"
# export CFLAGS="$CFLAGS -static"
# Fix the incompatibility with new autotools
sed -i 's/AM_INIT_AUTOMAKE/&\nAM_PROG_AS/' configure.ac
autoreconf --force --install --verbose
./configure --infodir=%_infodir --disable-auto-linux-mem-opt
make

%install
%makeinstall
mkdir -p ${RPM_BUILD_ROOT}/boot/grub
install -m 755 %{SOURCE1} ${RPM_BUILD_ROOT}/boot/grub
rm -f ${RPM_BUILD_ROOT}/%{_infodir}/dir
cp -f ${RPM_BUILD_ROOT}%_libdir/grub/i386-ccux/* ${RPM_BUILD_ROOT}/boot/grub
sed -i "s#prefix=/usr/local#prefix=/usr#" ${RPM_BUILD_ROOT}/usr/sbin/grub-install

%files
%defattr(-,root,root)
/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue May 20 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.97-3
- patch for 256k inode size support
- patch for gpt support
- diverse fixes
* Tue May 24 2005 Christian Metzen <metzench@ccux-linux.de> 0.97-2
- Fixed Bug # 0000076
* Sun May 22 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 0.97-1
- Version Update to 0.97
* Tue Mar 08 2005 Christian Metzen <metzench@ccux-linux.de> 0.96-4
- Moved sbin Location
* Tue Mar 08 2005 Christian Metzen <metzench@ccux-linux.de> 0.96-3
- Removed info Installation
* Tue Mar 08 2005 Christian Metzen <metzench@ccux-linux.de> 0.96-2
- Copied stage File to apropriate Location
* Tue Mar 08 2005 Christian Metzen <metzench@ccux-linux.de> 0.96-1
- Version Update to 0.96
* Sun Apr 25 2004 Christian Metzen <metzench@ccux-linux.de> 0.93-3
- Initial Release
